Subject: bug#17554: 24.3.91; [Regression] re-usage of dired *Marked Files* buffer window

From: "Roland Winkler" <[email-masked]>
Date: Thu, 5 Jun 2014 23:17:09 -0500

On Thu Jun 5 2014 Stefan Monnier wrote:
> > +(add-to-list 'display-buffer-alist '("\\*Completions\\*"
> display-buffer-at-bottom (nil)))
> 
> `display-buffer-alist' has to stay nil by default.

I do not know much about how emacs manages its windows.  Yet I am a
bit surprised that the above approach establishes a rather special
treatment of *Completions* buffers.  I'd say the problem is that *a*
buffer with typically more than two or three lines gets
automatically displayed in a window that is only three lines high.
We have a particular example where this happens to the *Completions*
buffer.  But if this happened with any other buffer this would be
equally annoying.  So it seems to me that this should be solved in a
more generic way.

Am I missing something?

Roland